commit:     2dff1897e537b6100e69315faf0244b9e9b42480
Author:     Aaron Bauman <bman <AT> gentoo <DOT> org>
AuthorDate: Thu May 31 21:54:23 2018 +0000
Commit:     Aaron Bauman <bman <AT> gentoo <DOT> org>
CommitDate: Fri Jun  1 14:05:16 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2dff1897

sys-cluster/openais: bump EAPI and drop base eclass

Package-Manager: Portage-2.3.40, Repoman-2.3.9

 sys-cluster/openais/openais-1.1.4-r1.ebuild | 22 ++++++++++++++--------
 1 file changed, 14 insertions(+), 8 deletions(-)

diff --git a/sys-cluster/openais/openais-1.1.4-r1.ebuild 
b/sys-cluster/openais/openais-1.1.4-r1.ebuild
index bf42581c57c..7a6db5be9bb 100644
--- a/sys-cluster/openais/openais-1.1.4-r1.ebuild
+++ b/sys-cluster/openais/openais-1.1.4-r1.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI="2"
+EAPI=6
 
-inherit autotools base
+inherit autotools
 
 DESCRIPTION="Open Application Interface Specification cluster framework"
 HOMEPAGE="http://www.openais.org/";
@@ -21,6 +21,8 @@ DEPEND="${RDEPEND}
 DOCS=( "${S}/AUTHORS" "${S}/README.amf" )
 
 src_prepare() {
+       default
+
        # respect CFLAGS
        sed -i -e "s/\$OPT_CFLAGS \$GDB_FLAGS//" configure.ac || die
        # respect LDFLAGS
@@ -28,18 +30,22 @@ src_prepare() {
                services/Makefile.am || die
        # don't install docs
        sed -i -e "/^dist_doc/d" Makefile.am || die
+
        eautoreconf
 }
 
 src_configure() {
        econf \
-               --disable-dependency-tracking \
-               --docdir=/usr/share/doc/${PF} \
-               --localstatedir=/var
+               --docdir="${EPREFIX}"/usr/share/doc/${PF} \
+               --localstatedir="${EPREFIX}"/var
 }
 
 src_install() {
-       base_src_install
        rm -rf "${D}"/etc/init.d/openais || die
-       use static-libs || rm -rf "${D}"/usr/$(get_libdir)/*.a || die
+
+       if ! use static-libs; then
+               find "${D}" -name '*.la' -delete || die "Pruning failed"
+       fi
+
+       default
 }

Reply via email to